static_analysis:python:
  stage: static_analysis
  tags:
    - static_analysis
  allow_failure: true
  script:
    - pip install pylint
    - pip install pylint-gitlab
    - pylint --rcfile=.pylintrc --exit-zero --output-format=pylint_gitlab.GitlabCodeClimateReporter ${CI_PROJECT_NAME}/ > codeclimate.json
    - pylint --rcfile=.pylintrc --exit-zero --output-format=pylint_gitlab.GitlabPagesHtmlReporter ${CI_PROJECT_NAME}/ > pylint.html
    - mkdir -p public/python/$CI_COMMIT_REF_NAME
    - mv pylint.html public/python/$CI_COMMIT_REF_NAME/
  artifacts:
    paths:
      - public
    reports:
      codequality: codeclimate.json